using System;

class main
{
  static void Main()
  {
    var s = Console.ReadLine().Split();
    int a = int.Parse(s[0]);
    int b = int.Parse(s[1]);
    s = Console.ReadLine().Split();
    int x = int.Parse(s[0]);
    int y = int.Parse(s[1]);
    if(a==x && b==y)
        Console.WriteLine("nijedan");
    else if(a>x && b>y)
        Console.WriteLine("?");
    else if(a>x)
        Console.WriteLine("prvi");
    else
        Console.WriteLine("drugi");
  }
}